<?php
/* Copyright (c) 2009 Arnaud Renevier, Inc, published under the modified BSD
   license. */

require_once ("./inc/settings.php");
require_once ("./inc/utils.php");
require_once ("./inc/db/mysql.php");

function main ($features) {

    echo '<?xml version="1.0" encoding="UTF-8"?>
<kml xmlns="http://www.opengis.net/kml/2.2">
  <Document>
';

    if (SITETITLE) {
        printf ('    <name>%s</name>', SITETITLE);
    }
    foreach ($features as $feature) {
        $id = $feature->id;
        $title = htmlspecialchars ($feature->title, ENT_QUOTES);
        $description = htmlspecialchars ($feature->description, ENT_QUOTES);
        $imgurl = ($feature->imgpath ? 
                    full_url_from_filename ($feature->imgpath)
                    : "");
        $lon = $feature->lon;
        $lat = $feature->lat;
        $alt = (strlen ($title) > 60) ?
                    (substr ($title, 0, 57) . '...') :
                    $title;

        if ($imgurl) {
            $imgurlHTML = sprintf ('<img alt="%s" src="%s">', $alt, $imgurl);
        } else {
            $imgurlHTML = "";
        }

        if ($description) {
            $descriptionHTML = sprintf ('<p>%s</p>', $description) ;
        } else {
            $descriptionHTML = "";
        }

        printf ('
        <Placemark id="%s">
            <name>%s</name>
            <description><![CDATA[
                %s
                %s
            ]]></description>
            <Point>
                <coordinates>%s,%s</coordinates>
            </Point>
        </Placemark>
', $id, $title, $descriptionHTML, $imgurlHTML, $lon, $lat);
    }

    echo' </Document>
    </kml>';
}

try {
    $connection->connect (DBHOST, DBUSER, DBPWD, DBNAME, DBPREFIX);
    $features = $connection->listfeatures ();
} catch (Exception $e) {
    exit ("server error");
}
header ("Content-type: application/vnd.google-earth.kml+xml");
main ($features);
?>
